# $Revision: 1.15 $, $Date: 2002/09/02 21:54:21 $
Summary:	Output plugin for XMMS for use with the aRts sound server
Summary(es):	Plugin de salida para XMMS para uso con el paquete aRts
Summary(pl):	Wtyczka dla XMMS odtwarzajca przez aRts
Summary(pt_BR):	Plugin de sada para o XMMS para uso com o servidor de som aRts
Name:		xmms-output-arts
Version:	0.4
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://home.earthlink.net/~bheath/xmms-arts/xmmsarts-%{version}.tar.gz
Patch0:		%{name}-nocmallocc.patch
URL:		http://home.earthlink.net/~bheath/xmms-arts/
BuildRequires:	arts-devel >= 1.0.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	xmms-devel
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
This plugin allows xmms to play sounds though aRts sound servers. This
is a must-have for KDE2 users, because aRts, which is by default
started in this environment, uses DSP, thus preventing oss-plugin from
working.

%description -l es
Plugin de salida para XMMS para uso con el paquete aRts.

%description -l pl
Ta wtyczka pozwala xmms-owi odtwarza muzyk poprzez serwer aRts.
Obowizkowy pakiet dla uytkownikw KDE2, poniewa aRts, domylnie
uruchamiany w tym rodowisku, uywa DSP tym samym uniemoliwiajc
dziaanie wtyczce OSS.

%description -l pt_BR
Plugin de sada para o XMMS trabalhar com o servidor de som aRts.

%prep
%setup -q -n xmms-arts-%{version}
%patch0 -p1

%build
CFLAGS="-I%{_includedir}"
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS
%attr(755,root,root) %{_libdir}/xmms/Output/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-output-arts.spec,v $
Revision 1.15  2002/09/02 21:54:21  kloczek
- release 4: rebuild against arts 1.0.3 and use new %doc.

Revision 1.14  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/20 02:08:33  kloczek
- cosmetics.

Revision 1.8  2002/01/20 02:06:40  kloczek
- release 3,
- added nocmallocc patch which removes linking arts plugin with memory
  allocation debuger libcmallocc (also removed ccmalloc fron BuildRequires),
- removed malloc patch.

Revision 1.7  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/05 18:48:13  blues
- release 2
- translations added
- malloc patch
- ac/am/lt regeneration stuff
- more BuildRequires
- cosmetics

Revision 1.5  2001/11/23 15:04:31  qboosh
- Group changed to X11/Applications/Multimedia, some fixes

Revision 1.4  2001/11/23 14:51:03  kloczek
- s/Copyright/License/

Revision 1.3  2001/10/01 09:11:05  marcus
- %%configure2_13

Revision 1.2  2001/01/19 18:12:39  kloczek
- added arts-devel to BuildRequires.

Revision 1.1  2001/01/13 17:59:58  mkochano
- Written from spec for some other xmms plugin.
- Builds, works.
